Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members Related Pages

# aka2::simplecontent< T, L > Class Template Reference

template to define simpleContent leaf class. More...

`#include <simplecontent.h>`

Inheritance diagram for aka2::simplecontent< T, L >:

[legend]
Collaboration diagram for aka2::simplecontent< T, L >:

[legend]
List of all members.

## Static Public Methods
template<class V, class P, class VL> void | value (V P::*m, const VL &vl)
template<class V, class P> void | value (V P::*m)
void | set_default (const std::string &defval)

## Detailed Description

### template<class T, class L = xiso::leaf<T>>
class aka2::simplecontent< T, L >

template to define simpleContent leaf class.

Leaf classes for simpleContent are derived from this template class.

See also:
  simpleContent

Parameters:

  T | value class type
  L | leaf class type

Definition at line 71 of file simplecontent.h.

## Member Function Documentation

template<class T, class L = xiso::leaf<T>>
void aka2::simplecontent< T, L >::set_default | ( | const std::string & | defval | ) | `[inline, static]`

  | set defalut for simplecontent value. Parameters:
  defval | default value
Definition at line 184 of file simplecontent.h.

template<class T, class L = xiso::leaf<T>>
template<class V, class P>
void aka2::simplecontent< T, L >::value | ( | V P::* | m | ) | `[inline, static]`

  | define simpleType value of simplecontent. Parameters:
  m | pointer to member of simpleType value
Definition at line 133 of file simplecontent.h. References aka2::simplecontent< T, L >::value().

template<class T, class L = xiso::leaf<T>>
template<class V, class P, class VL>
void aka2::simplecontent< T, L >::value | ( | V P::* | m,
|  | const VL & | vl
| ) | `[inline, static]`

  | define simpleType value of simplecontent. Parameters:
  m | pointer to member of simpleType value
  vl | leaf class for V
Definition at line 118 of file simplecontent.h. Referenced by aka2::simplecontent< T, L >::value().

The documentation for this class was generated from the following file:

- simplecontent.h